MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027008Community[OCCT] OCCT:Visualizationpublic2015-12-17 11:012016-12-09 16:39
Reporterspamkiller 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027008: Visualization - polygonal selection algorithm does not work with MeshVS_Mesh
DescriptionI am trying to select triangles of my mesh (MeshVS_Mesh) by calling the "Select" method of my context with a polyline (point2d array of screen coordinates).The "internal" triangles are selected as supposed. But there are also many selected triangles outside the green polyline.
Steps To Reproduce
pload VISUALIZATION XDE
vclear
vinit View1
meshfromstl m [locate_data_file head.stl]
vsetdispmode m 2
#vselmode m 1 1
vselmode m 8 1
vselect 0 0 409 409 0 409


Original test case:
Handle(AIS_InteractiveContext) context = ...;
Handle(V3d_View) view = ...

context->OpenLocalContext(false);
aisMesh->SetMeshSelMethod(MeshVS_MSM_BOX);
int selectionMode = MeshVS_SMF_Face;
context->Load(aisObj, selectionMode, 1);

TColgp_Array1OfPnt2d polyline(1, nbVertices);
//...fill polyline point array (screenshot: green line)
Context->Select(polyline, view);
TagsNo tags attached.
Test case numberbugs vis bug27008
Attached Filesjpg file icon Screenshot - 2015-12-16 002.jpg (4,838 bytes) 2015-12-17 11:01
png file icon selpoly_elems_680_OK.png (17,690 bytes) 2016-09-27 09:41
png file icon selpoly_elems_690.png (17,445 bytes) 2016-09-27 09:41
png file icon selpoly_elems_691.png (16,761 bytes) 2016-09-27 09:42
png file icon selpoly_elems_700_KO.png (15,758 bytes) 2016-09-27 09:43
png file icon selpoly_nodes_680_OK.png (26,042 bytes) 2016-09-27 09:44
png file icon selpoly_nodes_690.png (26,047 bytes) 2016-09-27 09:44
png file icon selpoly_nodes_691.png (25,779 bytes) 2016-09-27 09:44
png file icon selpoly_nodes_700_KO.png (25,824 bytes) 2016-09-27 09:45

- Relationships
related to 0024623closedbugmaster Open CASCADE Visualization - improve selection mechanism 

-  Notes
(0049222)
spamkiller (reporter)
2015-12-17 11:03

http://www.opencascade.com/content/select-meshvs-elements-polyline [^]
(0059315)
git (administrator)
2016-10-28 13:26

Branch CR27008 has been created by vpa.

SHA-1: 822753607efdf0644edd801170a18b2d648be7f6


Detailed log of new commits:

Author: vpa
Date: Fri Oct 28 13:24:19 2016 +0300

    0027008: Visualization - polygonal selection algorithm does not work with MeshVS_Mesh
    
    - correct calculation of normals for SelectMgr_TriangularFrustum;
    - test case for issue 0027008

Author: vpa
Date: Wed Oct 19 19:11:23 2016 +0300

    0027969: Visualization - add interfaces to access selecting volumes from SelectMgr_SelectingVolumeManager
    
    - getter for selection frustum computed during last run of selection mechanism was added to SelectMgr_SelectingVolumeManager;
    - getters for frustum planes were added to SelectMgr_BaseFrustum and its successors;
    - an API for applications to get frustum planes was added to SelectBasics_SelectingVolumeManager.
(0059316)
git (administrator)
2016-10-28 13:35

Branch CR27008 has been updated forcibly by vpa.

SHA-1: 0517ca3548e1ead7dcd1227faee907aa4b2cd57d
(0059317)
vpa (developer)
2016-10-28 13:36

Dear Kirill,

please review patch from branch CR27008.
(0059332)
git (administrator)
2016-10-28 15:05

Branch CR27008 has been updated forcibly by vpa.

SHA-1: ca950d13a566ccb31490445c22fad7974c51857c
(0059336)
kgv (developer)
2016-10-28 15:10

Please test the patch.
(0059753)
mkv (tester)
2016-11-02 11:51

Dear BugMaster,
Branch CR27008 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: ca950d13a566ccb31490445c22fad7974c51857c

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1131

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27008-master-OCCT/Debian70-64/bugs/vis/bug27008.html [^]
http://occt-tests/CR27008-master-OCCT/Windows-64-VC10/bugs/vis/bug27008.html [^]
bugs vis bug27008: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91043264 / 90742997 [+0.33%]
Total CPU difference: 19381.039999999797 / 19313.639999999898 [+0.35%]
products component :
Total MEMORY difference: 30546987 / 30593726 [-0.15%]
Total CPU difference: 5324.839999999979 / 5294.33999999997 [+0.58%]

Testing on Windows:
occt component :
Total MEMORY difference: 57311668 / 57321116 [-0.02%]
Total CPU difference: 18044.90087169866 / 18220.18359529866 [-0.96%]
products component :
Total MEMORY difference: 21509488 / 21474056 [+0.16%]
Total CPU difference: 5198.436923099974 / 5260.400520299964 [-1.18%]

There are no differences in images found by testdiff.
(0059754)
mkv (tester)
2016-11-02 11:52

Dear BugMaster,
Branch CR27008 is TESTED.
(0061189)
git (administrator)
2016-12-07 11:25

Branch CR27008 has been deleted by kgv.

SHA-1: ca950d13a566ccb31490445c22fad7974c51857c

- Related Changesets
occt: master d4507e82
Timestamp: 2016-10-28 12:03:38
Author: vpa
Committer: apn
Details ] Diff ]
0027008: Visualization - polygonal selection algorithm does not work with MeshVS_Mesh

- correct calculation of normals for SelectMgr_TriangularFrustum;
- test case for issue 0027008
mod - src/SelectMgr/SelectMgr_TriangularFrustum.cxx Diff ] File ]
add - tests/bugs/vis/bug27008 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-17 11:01 spamkiller New Issue
2015-12-17 11:01 spamkiller Assigned To => kgv
2015-12-17 11:01 spamkiller File Added: Screenshot - 2015-12-16 002.jpg
2015-12-17 11:03 spamkiller Note Added: 0049222
2016-09-27 09:37 kgv Steps to Reproduce Updated View Revisions
2016-09-27 09:38 kgv Steps to Reproduce Updated View Revisions
2016-09-27 09:39 kgv Relationship added related to 0027180
2016-09-27 09:40 kgv Relationship added related to 0024623
2016-09-27 09:41 kgv File Added: selpoly_elems_680_OK.png
2016-09-27 09:41 kgv File Added: selpoly_elems_690.png
2016-09-27 09:42 kgv File Added: selpoly_elems_691.png
2016-09-27 09:43 kgv File Added: selpoly_elems_700_KO.png
2016-09-27 09:44 kgv File Added: selpoly_nodes_680_OK.png
2016-09-27 09:44 kgv File Added: selpoly_nodes_690.png
2016-09-27 09:44 kgv File Added: selpoly_nodes_691.png
2016-09-27 09:45 kgv File Added: selpoly_nodes_700_KO.png
2016-09-27 09:46 kgv Assigned To kgv => vpa
2016-09-27 09:46 kgv Status new => assigned
2016-09-27 09:46 kgv Target Version => 7.1.0
2016-09-27 09:46 kgv Summary polygonal selection algorithm does not work with MeshVS_Mesh => Visualization - polygonal selection algorithm does not work with MeshVS_Mesh
2016-09-27 09:48 kgv Priority normal => high
2016-10-28 13:26 git Note Added: 0059315
2016-10-28 13:35 git Note Added: 0059316
2016-10-28 13:36 vpa Note Added: 0059317
2016-10-28 13:36 vpa Assigned To vpa => kgv
2016-10-28 13:36 vpa Status assigned => resolved
2016-10-28 15:05 git Note Added: 0059332
2016-10-28 15:10 kgv Note Added: 0059336
2016-10-28 15:10 kgv Assigned To kgv => bugmaster
2016-10-28 15:10 kgv Priority high => normal
2016-10-28 15:10 kgv Status resolved => reviewed
2016-10-28 15:24 mkv Assigned To bugmaster => mkv
2016-11-02 11:51 mkv Note Added: 0059753
2016-11-02 11:52 mkv Note Added: 0059754
2016-11-02 11:52 mkv Assigned To mkv => bugmaster
2016-11-02 11:52 mkv Status reviewed => tested
2016-11-02 14:31 mkv Test case number => bugs vis bug27008
2016-11-03 17:10 apn Changeset attached => occt master d4507e82
2016-11-03 17:10 apn Assigned To bugmaster => apn
2016-11-03 17:10 apn Status tested => verified
2016-11-03 17:10 apn Resolution open => fixed
2016-11-03 17:16 kgv Relationship added related to 0022172
2016-12-07 11:25 git Note Added: 0061189
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker